﻿* {
    box-sizing:border-box;
}
html {
    font-family: 'Segoe UI', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 1rem;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    background: #EEEEEE;
    overflow: hidden;
}

#app {
    padding: 0 5px;
    display: flex;
    height: 100vh;
    max-height: 100%;
    max-width: 100%;
    width: 100%;
    box-sizing: border-box;
    overflow: hidden;
    flex-direction: column;
    justify-content: space-between;
}

#app > .container {
 width:100%;
 height:100%;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn div {
    font-size: x-small;
    width: 80px;
}

.btn.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn.btn-primary.nav-addin {
    padding: 0;
}

.content {
    padding-top: 1.1rem;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.spinner-rotate {
    animation: spin 4s linear infinite;
}

footer {
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.navbar {
    background-color: #bbcbf0; /* rgb(158, 171, 202) hsl(222, 29%, 71%) */
}

.link-buttons {
    display: grid;
    grid-template-columns: auto auto;
    row-gap: 0.25em;
    column-gap: 0.25em;
    margin: 0.25em;
}

.single-line.fields {
    display: grid;
    grid-template-columns: 1fr auto;
}

.single-line.fields > label {
    font-weight: bold;
    min-width: 6em;
}

.toggle-banner {
    background-color: #0078d4;
    color: white;
    padding: 0.2em;
}

.grid-2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 0.5em;
}

button.selected {
    background-color: #0078d4;
}

body { position: relative;}

.spinner {
    place-items: center;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 32766;
    cursor: wait;
    display: grid;
    background: #eeeeee;
    background: rgba(238, 238, 238, 0.93);
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.spinner-rotate {
    animation: spin 4s linear infinite;
}

.attachment-button {
    width: auto;
    margin-left: auto;
    margin-right: 0;
}

.button.right {
    width: auto;
    margin-left: auto;
    float: right;
}

#add-links {
    width: 8em;
    height: 3em;
    background: limegreen;
}

.environment-selector {
    transition: height 0.35s ease; /* 👈 Transition the width */
}

.environment-selector.show {
    height: 3em;
}

.environment-selector.hide {
    height: 0;
}

.search-results {
    transition: height 0.35s ease; /* 👈 Transition the width */
}

.search-results.show {
    height: auto;
}

.search-results.hide {
    height: 0;
}

.container {
    height:100vh;
    padding-bottom:2px;
    box-sizing:border-box;
    
}